Version 4.0.26.22 (latest)

### Register an OAuth2 Client App

Registers details identifying an external web app or native app as an OAuth2 login client of the Looker instance.
The app registration must provide a unique client_guid and redirect_uri that the app will present
in OAuth login requests. If the client_guid and redirect_uri parameters in the login request do not match
the app details registered with the Looker instance, the request is assumed to be a forgery and is rejected.

## Request

POST /oauth_client_apps/{client_guid} Datatype Description Request HTTP Request path HTTP Path Expand HTTP Path definition... client_guid string The unique id of this application body HTTP Body Expand HTTP Body definition... body [OauthClientApp](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/OauthClientApp) OAuth Client App Expand OauthClientApp definition... can object Operations the current user is able to perform on this object client_guid string The globally unique id of this application redirect_uri string (DEPRECATED) The uri with which this application will receive an auth code by browser redirect. (DEPRECATED: Use redirect_uris instead) redirect_uris string\[\] display_name string The application's display name description string A description of the application that will be displayed to users enabled boolean When enabled is true, OAuth2 and API requests will be accepted from this app. When false, all requests from this app will be refused. Setting disabled invalidates existing tokens. group_id string If set, only Looker users who are members of this group can use this web app with Looker. If group_id is not set, any Looker user may use this app to access this Looker instance tokens_invalid_before string All auth codes, access tokens, and refresh tokens issued for this application prior to this date-time for ALL USERS will be invalid. activated_users [UserPublic](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/UserPublic)\[\] query HTTP Query Expand HTTP Query definition... fields string Requested fields.

## Response

### 200: OAuth Client App

Datatype Description (object) [OauthClientApp](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/OauthClientApp) can object Operations the current user is able to perform on this object client_guid string The globally unique id of this application redirect_uri string (DEPRECATED) The uri with which this application will receive an auth code by browser redirect. (DEPRECATED: Use redirect_uris instead) redirect_uris string\[\] display_name string The application's display name description string A description of the application that will be displayed to users enabled boolean When enabled is true, OAuth2 and API requests will be accepted from this app. When false, all requests from this app will be refused. Setting disabled invalidates existing tokens. group_id string If set, only Looker users who are members of this group can use this web app with Looker. If group_id is not set, any Looker user may use this app to access this Looker instance tokens_invalid_before string All auth codes, access tokens, and refresh tokens issued for this application prior to this date-time for ALL USERS will be invalid. activated_users [UserPublic](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/UserPublic)\[\] Expand UserPublic definition... can object Operations the current user is able to perform on this object id string Unique Id first_name string First Name last_name string Last Name display_name string Full name for display (available only if both first_name and last_name are set) avatar_url string URL for the avatar image (may be generic) is_service_account boolean Indicates if this user is a service account. is_embed_user boolean Indicates if this user is an embed user. url string Link to get this item

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 409: Resource Already Exists

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 422: Validation Error

Datatype Description (object) [ValidationError](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationError) message string Error details errors [ValidationErrorDetail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationErrorDetail)\[\] Expand ValidationErrorDetail definition... field string Field with error code string Error code message string Error info message documentation_url string Documentation link documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

## Examples

### TypeScript


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-codegen-scripts/scripts/utils.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-codegen-scripts/scripts/utils.ts#L95 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-codegen-scripts/scripts/utils.ts") |